Harness 設定
LiveDoc API
ナレッジベースを作成し、リソースを管理し、semantic retrieval と routing を実行します。
/v2/livedocs認証
Bearer API key
Content type
application/json or multipart/form-data
レート制限
endpoint ごとの制限が適用される場合があります。
LiveDoc API は、Agent が再利用できる workspace knowledge base を作るための API です。LiveDoc の作成、file/URL ingestion、resource management、semantic retrieval、README、tasks、task records を同じ workspace で扱えます。
認証
すべての requests は Authorization header に API key が必要です。
Authorization: Bearer YOUR_API_KEYコアフロー
- project、client、research topic、team knowledge 用の LiveDoc を作成します。
- document、uploaded file、URL、PPT/page assets などの resources を追加します。
- retrieve、route、content endpoints で、Agent が必要な context を取得します。
- README、tasks、task records で project context と collaboration history を保存します。
LiveDoc 管理
1. Create LiveDoc
POST https://openapi.felo.ai/v2/livedocs| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
name | string | はい | LiveDoc name |
description | string | いいえ | LiveDoc description |
icon | string | いいえ | LiveDoc icon |
curl -X POST 'https://openapi.felo.ai/v2/livedocs' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"AI Research Notes","description":"Collection of AI research materials"}'成功すると short_id、name、description、icon、created_at、modified_at、is_shared を含む LiveDoc object が返ります。
2. List LiveDocs
GET https://openapi.felo.ai/v2/livedocs| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
keyword | string | いいえ | keyword filter |
page | integer | いいえ | 1-based page number |
size | integer | いいえ | page size |
total、page、size、items を含む paginated list を返します。各 item には readme が含まれる場合があります。
3. Update LiveDoc
PUT https://openapi.felo.ai/v2/livedocs/{short_id}Body で name と description を更新できます。Updated LiveDoc object を返します。
4. Delete LiveDoc
DELETE https://openapi.felo.ai/v2/livedocs/{short_id}指定した LiveDoc を削除します。成功時は { "deleted": true } を返します。
リソース管理
5. リソース一覧
GET https://openapi.felo.ai/v2/livedocs/{short_id}/resources| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
keyword | string | いいえ | title/content keyword filter |
type | string | いいえ | resource type filter |
page | integer | いいえ | page number |
size | integer | いいえ | page size |
Resource object には通常 resource_id、title、type、content、metadata、created_at、modified_at が含まれます。
6. 単一リソース取得
GET https://openapi.felo.ai/v2/livedocs/{short_id}/resources/{resource_id}単一 resource の metadata と content summary を取得します。
7. リソース更新
PUT https://openapi.felo.ai/v2/livedocs/{short_id}/resources/{resource_id}title、description、metadata などを更新します。
8. リソース本文更新
PUT https://openapi.felo.ai/v2/livedocs/{short_id}/resources/{resource_id}/contentresource body を置き換えます。Agent が生成した notes、report draft、structured content を LiveDoc に書き戻す用途に向いています。
9. ドキュメントリソース作成
POST https://openapi.felo.ai/v2/livedocs/{short_id}/resources/doc| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
title | string | はい | document title |
content | string | はい | document content, Markdown supported |
metadata | object | いいえ | custom metadata |
10. ファイルをドキュメントとしてアップロード
POST https://openapi.felo.ai/v2/livedocs/{short_id}/resources/upload-docmultipart/form-data で file を upload し、parsed content を document resource として保存します。PDF、DOCX、TXT、Markdown などに適しています。
11. ファイルリソースをアップロード
POST https://openapi.felo.ai/v2/livedocs/{short_id}/resources/uploadmultipart/form-data で source file を upload し、download や retrieval 用に保持します。
12. URL リソースを追加
POST https://openapi.felo.ai/v2/livedocs/{short_id}/resources/urlsURL list を渡します。Plain string、または url、title、description、metadata を含む object を使用できます。Web pages、articles、competitor research、public docs を Agent workspace に取り込む用途に向いています。
13. リソース削除
DELETE https://openapi.felo.ai/v2/livedocs/{short_id}/resources/{resource_id}指定した resource を削除します。成功時は { "deleted": true } を返します。
検索とルーティング
14. Retrieve(セマンティック検索)
POST https://openapi.felo.ai/v2/livedocs/{short_id}/resources/retrieve| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
query | string | はい | search question or task request |
limit | integer | いいえ | number of results |
query に最も関連する resource snippets を返します。RAG、research summary、PPT generation、report writing に使えます。
15. リソースルーティング
POST https://openapi.felo.ai/v2/livedocs/{short_id}/resources/routequery に応じてどの resources を使うべきかを判定します。Agent が複数の sources から context を自動選択する用途に向いています。
16. Download Resource Source File
GET https://openapi.felo.ai/v2/livedocs/{short_id}/resources/{resource_id}/downloadresource の source file を download します。query parameters で format や filename を制御できます。
17. Get Resource Content
GET https://openapi.felo.ai/v2/livedocs/{short_id}/resources/{resource_id}/contentresource の full content を返します。Agent が deliverable を生成する前に完整な資料を読む用途に適しています。
18. PPT Page Retrieve
POST https://openapi.felo.ai/v2/livedocs/{short_id}/resources/ppt-retrievePPT pages に対して retrieval を実行し、matched page、title、text、snippets を返します。deck Q&A、rewrite、reuse に使えます。
README
19. Get README
GET https://openapi.felo.ai/v2/livedocs/{short_id}/readmeLiveDoc の project guide を取得します。通常は goals、scope、usage notes、summary を含みます。
20. Create or Update README
PUT https://openapi.felo.ai/v2/livedocs/{short_id}/readme| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
summary | string | いいえ | one-line project summary |
content | string | はい | README Markdown content |
21. Append to README
POST https://openapi.felo.ai/v2/livedocs/{short_id}/readme/append既存 README に Markdown content を追記します。research findings、decision log、meeting notes の継続記録に使えます。
22. Delete README
DELETE https://openapi.felo.ai/v2/livedocs/{short_id}/readme現在の README を削除します。
Tasks And Collaboration
23. List Tasks
GET https://openapi.felo.ai/v2/livedocs/{short_id}/tasksLiveDoc の tasks を list します。status、keyword、page、size で query できます。
24. Create Task
POST https://openapi.felo.ai/v2/livedocs/{short_id}/tasks| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
title | string | はい | task title |
description | string | いいえ | task description |
status | string | いいえ | task status |
metadata | object | いいえ | task metadata |
25. Update Task
PATCH https://openapi.felo.ai/v2/livedocs/{short_id}/tasks/{task_id}task title、description、status、metadata を更新します。
26. Delete Task
DELETE https://openapi.felo.ai/v2/livedocs/{short_id}/tasks/{task_id}指定した task を削除します。
27. List Task Records
GET https://openapi.felo.ai/v2/livedocs/{short_id}/tasks/{task_id}/recordstask records、execution history、comments、Agent outputs を取得します。
28. Add Task Comment
POST https://openapi.felo.ai/v2/livedocs/{short_id}/tasks/{task_id}/commentstask に comment や collaboration note を追加します。Agent が何を完了したか、なぜそうしたか、次に何をするかを追跡できます。
エラーコード
| HTTP Status | Error Code | 説明 | 推奨対応 |
|---|---|---|---|
| 400 | VALIDATION_ERROR | invalid request parameters | body、query parameters、required fields を確認 |
| 401 | INVALID_API_KEY | missing, invalid, or revoked API key | Authorization header を確認 |
| 403 | PERMISSION_DENIED | API key cannot access this LiveDoc/resource | permissions と short_id を確認 |
| 404 | NOT_FOUND | LiveDoc、resource、README、task not found | ID を確認 |
| 500 | INTERNAL_ERROR | server error | retry; contact support if it continues |